import socket
import struct


class wol:
	def __init__(self,macaddress):
		self.macaddress = macaddress
		self.doWakeUp()
	
	def doWakeUp(self):
		mac_split = self.macaddress.split(":")

		mac_address = struct.pack('BBBBBB',
		int(mac_split[0],16),
		int(mac_split[1],16),
		int(mac_split[2],16),
		int(mac_split[3],16),
		int(mac_split[4],16),
		int(mac_split[5],16))

		msg = '\xff' * 6 + mac_address * 16

		s = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
		s.setsockopt(socket.SOL_SOCKET, socket.SO_BROADCAST, 1)
		s.sendto(msg, ('255.255.255.255',9))
		s.close()
	
WakeOnLan = wol
	
